Index: lemon/arg_parser.cc
===================================================================
--- lemon/arg_parser.cc	(revision 311)
+++ lemon/arg_parser.cc	(revision 214)
@@ -27,9 +27,10 @@
   }
 
-  ArgParser::ArgParser(int argc, const char * const *argv)
-    :_argc(argc), _argv(argv), _command_name(argv[0]) {
+  ArgParser::ArgParser(int argc, const char **argv) :_argc(argc), _argv(argv),
+                                                     _command_name(argv[0]) {
     funcOption("-help","Print a short help message",_showHelp,this);
     synonym("help","-help");
     synonym("h","-help");
+
   }
 
Index: lemon/arg_parser.h
===================================================================
--- lemon/arg_parser.h	(revision 311)
+++ lemon/arg_parser.h	(revision 290)
@@ -47,5 +47,5 @@
 
     int _argc;
-    const char * const *_argv;
+    const char **_argv;
 
     enum OptType { UNKNOWN=0, BOOL=1, STRING=2, DOUBLE=3, INTEGER=4, FUNC=5 };
@@ -120,5 +120,5 @@
 
     ///Constructor
-    ArgParser(int argc, const char * const *argv);
+    ArgParser(int argc, const char **argv);
 
     ~ArgParser();
Index: lemon/bits/alteration_notifier.h
===================================================================
--- lemon/bits/alteration_notifier.h	(revision 236)
+++ lemon/bits/alteration_notifier.h	(revision 313)
@@ -80,6 +80,5 @@
   /// be rolled back by calling the \e erase() or \e clear()
   /// functions. Thence the \e erase() and \e clear() should not throw
-  /// exception. Actullay, it can be throw only
-  /// \ref AlterationObserver::ImmediateDetach ImmediateDetach
+  /// exception. Actullay, it can be throw only \ref ImmediateDetach 
   /// exception which detach the observer from the notifier.
   ///
Index: lemon/bits/default_map.h
===================================================================
--- lemon/bits/default_map.h	(revision 209)
+++ lemon/bits/default_map.h	(revision 313)
@@ -150,5 +150,5 @@
 // #endif
 
-  /// \e
+  /// DefaultMap class
   template <typename _Graph, typename _Item, typename _Value>
   class DefaultMap
Index: lemon/color.h
===================================================================
--- lemon/color.h	(revision 209)
+++ lemon/color.h	(revision 313)
@@ -93,5 +93,5 @@
   extern const Color DARK_CYAN;
 
-  ///Map <tt>int</tt>s to different \ref Color "Color"s
+  ///Map <tt>int</tt>s to different <tt>Color</tt>s
 
   ///This map assigns one of the predefined \ref Color "Color"s to
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 263)
+++ lemon/concepts/graph_components.h	(revision 313)
@@ -983,5 +983,5 @@
     ///
     /// This class describes the common interface of the graph maps
-    /// (NodeMap, ArcMap), that is \ref maps-page "maps" which can be used to
+    /// (NodeMap, ArcMap), that is maps that can be used to
     /// associate data to graph descriptors (nodes or arcs).
     template <typename _Graph, typename _Item, typename _Value>
Index: lemon/core.h
===================================================================
--- lemon/core.h	(revision 300)
+++ lemon/core.h	(revision 313)
@@ -1555,5 +1555,5 @@
     ///structure is updated after each graph alteration. Thus although
     ///this data structure is theoretically faster than \ref ArcLookUp
-    ///and \ref AllArcLookup, it often provides worse performance than
+    ///and \ref AllArcLookUp, it often provides worse performance than
     ///them.
     Arc operator()(Node s, Node t, Arc p = INVALID) const  {
@@ -1700,6 +1700,6 @@
     ///Find an arc between two nodes.
 
-    ///Find an arc between two nodes in time <em>O</em>(log<em>d</em>), where
-    ///<em>d</em> is the number of outgoing arcs of \c s.
+    ///Find an arc between two nodes in time <em>O</em>(log<em>d</em>),
+    ///where <em>d</em> is the number of outgoing arcs of \c s.
     ///\param s The source node.
     ///\param t The target node.
@@ -1818,6 +1818,6 @@
     ///\endcode
     ///
-    ///Finding the first arc take <em>O</em>(log<em>d</em>) time, where
-    ///<em>d</em> is the number of outgoing arcs of \c s. Then, the
+    ///Finding the first arc take <em>O</em>(log<em>d</em>) time,
+    ///where <em>d</em> is the number of outgoing arcs of \c s. Then the
     ///consecutive arcs are found in constant time.
     ///
Index: lemon/dfs.h
===================================================================
--- lemon/dfs.h	(revision 301)
+++ lemon/dfs.h	(revision 313)
@@ -836,5 +836,5 @@
   };
 
-  /// Default traits class used by \ref DfsWizard
+  /// Default traits class used by DfsWizard
 
   /// To make it easier to use Dfs algorithm
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 301)
+++ lemon/dijkstra.h	(revision 313)
@@ -454,5 +454,5 @@
 
     /// \brief \ref named-templ-param "Named parameter" for setting
-    ///\ref OperationTraits type
+    ///\c OperationTraits type
     ///
     ///\ref named-templ-param "Named parameter" for setting
@@ -1039,5 +1039,5 @@
   };
 
-  /// Default traits class used by \ref DijkstraWizard
+  /// Default traits class used by DijkstraWizard
 
   /// To make it easier to use Dijkstra algorithm
Index: lemon/dim2.h
===================================================================
--- lemon/dim2.h	(revision 253)
+++ lemon/dim2.h	(revision 313)
@@ -260,8 +260,8 @@
 
 
-  /// Bounding box of plain vectors (\ref Point points).
+  /// Bounding box of plain vectors (points).
 
   /// A class to calculate or store the bounding box of plain vectors
-  /// (\ref Point points).
+  /// (\ref Point "points").
   template<typename T>
   class Box {
@@ -574,9 +574,8 @@
   }
 
-  ///Map of x-coordinates of a \ref Point "Point"-map
-
-  ///\ingroup maps
+  ///Map of x-coordinates of a <tt>Point</tt>-map
+
   ///Map of x-coordinates of a \ref Point "Point"-map.
-  ///
+  ///\ingroup maps
   template<class M>
   class XMap
@@ -593,7 +592,7 @@
   };
 
-  ///Returns an \ref XMap class
-
-  ///This function just returns an \ref XMap class.
+  ///Returns an XMap class
+
+  ///This function just returns an XMap class.
   ///
   ///\ingroup maps
@@ -611,9 +610,8 @@
   }
 
-  ///Constant (read only) version of \ref XMap
-
-  ///\ingroup maps
-  ///Constant (read only) version of \ref XMap
-  ///
+  ///Constant (read only) version of XMap
+
+  ///Constant (read only) version of XMap.
+  ///\ingroup maps
   template<class M>
   class ConstXMap
@@ -629,7 +627,7 @@
   };
 
-  ///Returns a \ref ConstXMap class
-
-  ///This function just returns a \ref ConstXMap class.
+  ///Returns a ConstXMap class
+
+  ///This function just returns a ConstXMap class.
   ///
   ///\ingroup maps
@@ -641,9 +639,8 @@
   }
 
-  ///Map of y-coordinates of a \ref Point "Point"-map
-
-  ///\ingroup maps
+  ///Map of y-coordinates of a <tt>Point</tt>-map
+
   ///Map of y-coordinates of a \ref Point "Point"-map.
-  ///
+  ///\ingroup maps
   template<class M>
   class YMap
@@ -660,7 +657,7 @@
   };
 
-  ///Returns a \ref YMap class
-
-  ///This function just returns a \ref YMap class.
+  ///Returns a YMap class
+
+  ///This function just returns a YMap class.
   ///
   ///\ingroup maps
@@ -678,9 +675,8 @@
   }
 
-  ///Constant (read only) version of \ref YMap
-
-  ///\ingroup maps
-  ///Constant (read only) version of \ref YMap
-  ///
+  ///Constant (read only) version of YMap
+
+  ///Constant (read only) version of YMap.
+  ///\ingroup maps
   template<class M>
   class ConstYMap
@@ -696,7 +692,7 @@
   };
 
-  ///Returns a \ref ConstYMap class
-
-  ///This function just returns a \ref ConstYMap class.
+  ///Returns a ConstYMap class
+
+  ///This function just returns a ConstYMap class.
   ///
   ///\ingroup maps
@@ -709,6 +705,5 @@
 
 
-  ///\brief Map of the \ref Point::normSquare() "normSquare()"
-  ///of a \ref Point "Point"-map
+  ///\brief Map of the normSquare() of a <tt>Point</tt>-map
   ///
   ///Map of the \ref Point::normSquare() "normSquare()"
@@ -728,7 +723,7 @@
   };
 
-  ///Returns a \ref NormSquareMap class
-
-  ///This function just returns a \ref NormSquareMap class.
+  ///Returns a NormSquareMap class
+
+  ///This function just returns a NormSquareMap class.
   ///
   ///\ingroup maps
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 291)
+++ lemon/graph_to_eps.h	(revision 313)
@@ -63,5 +63,5 @@
   }
 
-///Default traits class of \ref GraphToEps
+///Default traits class of GraphToEps
 
 ///Default traits class of \ref GraphToEps.
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 280)
+++ lemon/list_graph.h	(revision 313)
@@ -414,5 +414,5 @@
     ///
     ///\note The <tt>InArcIt</tt>s referencing the changed arc remain
-    ///valid. However the <tt>ArcIt<tt>s and <tt>OutArcIt</tt>s are
+    ///valid. However the <tt>ArcIt</tt>s and <tt>OutArcIt</tt>s are
     ///invalidated.
     ///
Index: lemon/maps.h
===================================================================
--- lemon/maps.h	(revision 301)
+++ lemon/maps.h	(revision 313)
@@ -44,5 +44,5 @@
   class MapBase {
   public:
-    /// \biref The key type of the map.
+    /// \brief The key type of the map.
     typedef K Key;
     /// \brief The value type of the map.
@@ -2267,5 +2267,5 @@
     ///
     /// Constructor
-    /// \param _digraph The digraph that the map belongs to.
+    /// \param digraph The digraph that the map belongs to.
     explicit SourceMap(const Digraph& digraph) : _digraph(digraph) {}
 
@@ -2306,5 +2306,5 @@
     ///
     /// Constructor
-    /// \param _digraph The digraph that the map belongs to.
+    /// \param digraph The digraph that the map belongs to.
     explicit TargetMap(const Digraph& digraph) : _digraph(digraph) {}
 
@@ -2345,5 +2345,5 @@
     ///
     /// Constructor
-    /// \param _graph The graph that the map belongs to.
+    /// \param graph The graph that the map belongs to.
     explicit ForwardMap(const Graph& graph) : _graph(graph) {}
 
@@ -2384,5 +2384,5 @@
     ///
     /// Constructor
-    /// \param _graph The graph that the map belongs to.
+    /// \param graph The graph that the map belongs to.
     explicit BackwardMap(const Graph& graph) : _graph(graph) {}
 
Index: lemon/path.h
===================================================================
--- lemon/path.h	(revision 236)
+++ lemon/path.h	(revision 313)
@@ -850,5 +850,5 @@
     int empty() const { return len == 0; }
 
-    /// \break Erase all arcs in the digraph.
+    /// \brief Erase all arcs in the digraph.
     void clear() {
       len = 0;
Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 280)
+++ lemon/smart_graph.h	(revision 313)
@@ -366,5 +366,5 @@
 
       ///This constructor immediately makes a snapshot of the digraph.
-      ///\param _g The digraph we make a snapshot of.
+      ///\param graph The digraph we make a snapshot of.
       Snapshot(SmartDigraph &graph) : _graph(&graph) {
         node_num=_graph->nodes.size();
@@ -378,5 +378,5 @@
       ///This function can be called more than once. In case of a repeated
       ///call, the previous snapshot gets lost.
-      ///\param _g The digraph we make the snapshot of.
+      ///\param graph The digraph we make the snapshot of.
       void save(SmartDigraph &graph)
       {
@@ -776,5 +776,5 @@
 
       ///This constructor immediately makes a snapshot of the digraph.
-      ///\param g The digraph we make a snapshot of.
+      ///\param graph The digraph we make a snapshot of.
       Snapshot(SmartGraph &graph) {
         graph.saveSnapshot(*this);
@@ -787,5 +787,5 @@
       ///This function can be called more than once. In case of a repeated
       ///call, the previous snapshot gets lost.
-      ///\param g The digraph we make the snapshot of.
+      ///\param graph The digraph we make the snapshot of.
       void save(SmartGraph &graph)
       {
Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 280)
+++ lemon/time_measure.h	(revision 313)
@@ -312,10 +312,9 @@
     ///Basically a Timer can be either running or stopped,
     ///but it provides a bit finer control on the execution.
-    ///The \ref Timer also counts the number of \ref start()
-    ///executions, and is stops only after the same amount (or more)
-    ///\ref stop() "stop()"s. This can be useful e.g. to compute
-    ///the running time
+    ///The \ref lemon::Timer "Timer" also counts the number of 
+    ///\ref lemon::Timer::start() "start()" executions, and it stops 
+    ///only after the same amount (or more) \ref lemon::Timer::stop()
+    ///"stop()"s. This can be useful e.g. to compute the running time
     ///of recursive functions.
-    ///
 
     ///@{
@@ -473,5 +472,5 @@
   };
 
-  ///Same as \ref Timer but prints a report on destruction.
+  ///Same as Timer but prints a report on destruction.
 
   ///Same as \ref Timer but prints a report on destruction.
@@ -492,13 +491,13 @@
     std::ostream &_os;
   public:
-    ///\e
-
+    ///Constructor
+
+    ///Constructor.
     ///\param title This text will be printed before the ellapsed time.
     ///\param os The stream to print the report to.
     ///\param run Sets whether the timer should start immediately.
-
     TimeReport(std::string title,std::ostream &os=std::cerr,bool run=true)
       : Timer(run), _title(title), _os(os){}
-    ///\e Prints the ellapsed time on destruction.
+    ///Destructor that prints the ellapsed time
     ~TimeReport()
     {
@@ -507,5 +506,5 @@
   };
 
-  ///'Do nothing' version of \ref TimeReport
+  ///'Do nothing' version of TimeReport
 
   ///\sa TimeReport
